MCP Tools Reference: paydeveloper.googleapis.com

Tool: query_merchant_performance

Retrieves high-level aggregated performance data and post-integration metrics for a specific merchant business profile.

The following sample demonstrate how to use curl to invoke the query_merchant_performance MCP tool.

Curl Request
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "query_merchant_performance",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for querying merchant performance data.

QueryMerchantPerformanceRequest

JSON representation
{
  "merchantId": string,
  "timeRange": enum (TimeRange)
}
Fields
merchantId

string

Required. The unique identifier of the merchant for which performance data is being requested.

timeRange

enum (TimeRange)

Optional. The time range of the performance data.

Output Schema

Response message for querying merchant performance.

QueryMerchantPerformanceResponse

JSON representation
{
  "merchantPerformanceMetrics": [
    {
      object (MerchantPerformanceMetric)
    }
  ]
}
Fields
merchantPerformanceMetrics[]

object (MerchantPerformanceMetric)

The performance data of the merchant.

MerchantPerformanceMetric

JSON representation
{
  "metricDetail": {
    object (MetricDetail)
  },
  "hourlyMetricValues": [
    {
      object (HourlyMetricValue)
    }
  ]
}
Fields
metricDetail

object (MetricDetail)

Output only. Details of the metric.

hourlyMetricValues[]

object (HourlyMetricValue)

Output only. A list of metric value and its timestamp, rounded to the nearest top of hour.

MetricDetail

JSON representation
{
  "metricType": enum (MetricType),
  "additionalDetails": {
    string: string,
    ...
  }
}
Fields
metricType

enum (MetricType)

Type of the metric.

additionalDetails

map (key: string, value: string)

Key-value pairs for any additional details about the metric, e.g., "gateway": "stripe". For details see

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

AdditionalDetailsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

HourlyMetricValue

JSON representation
{
  "hourlyTimestamp": string,
  "value": number
}
Fields
hourlyTimestamp

string (Timestamp format)

The timestamp of the metric value rounded to the nearest top of hour.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

value

number

The actual metric value. For conversion rate, the value is in the range of [0, 1]. For other metrics, the value is non-negative integer.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌